-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Czech TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Zuzana"
language = "Czech"
marc_code = "cze"
language_id = "25"
id = "25002"
config_file = "czech_tts/config_tts.lua"
audio_files_path = "czech_tts/czech_tts"
rulesets_file = "czech_tts/czech_tts/rulesets_CZC.txt"
apdb = "apdb/zuzana/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check_car = {
    ["END"] = "přijedete do cíle",                                  -- You will reach your destination
    ["STOPOVER"] = "přijedete k zastávce",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                             -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                        -- the junction
    ["ROUNDABOUT"] = "na kruhovém objezdu",                         -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "sjeďte na výjezdu",                      -- take the exit
    ["UTURN"] = "se otočte",                                        -- Make a uturn
    ["ENTER_HIGHWAY"] = "vjeďte na dálnici",
    ["LEAVE_HIGHWAY"] = "sjeďte na výjezdu",                        -- take the exit
    ["CONTINUE_HIGHWAY"] = "sjeďte na výjezdu",                     -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "vjeďte na dálnici",
    ["LEAVE_URBAN_HIGHWAY"] = "sjeďte na výjezdu",                  -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "sjeďte na výjezdu",
    ["DRIVE_TO_NEAREST_ROAD"] = "Vjeďte na nejbližší silnici",      -- drive to nearest road 
    ["FERRY"] = "použijte trajekt"
}

maneuver_check_pedestrian = {
    ["END"] = "přijdete do cíle",                                   -- You will reach your destination
    ["STOPOVER"] = "přijdete k zastávce",                           -- You will reach a stopover
    ["JUNCTION"] = nil,                                             -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                        -- the junction
    ["ROUNDABOUT"] = "na kruhovém objezdu",                         -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "sjeďte na výjezdu",                      -- take the exit
    ["UTURN"] = "se otočte",                                        -- Make a uturn
    ["ENTER_HIGHWAY"] = "vjeďte na dálnici",
    ["LEAVE_HIGHWAY"] = "sjeďte na výjezdu",                        -- take the exit
    ["CONTINUE_HIGHWAY"] = "sjeďte na výjezdu",                     -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "vjeďte na dálnici",
    ["LEAVE_URBAN_HIGHWAY"] = "sjeďte na výjezdu",                  -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "sjeďte na výjezdu",
    ["DRIVE_TO_NEAREST_ROAD"] = "Vjeďte na nejbližší silnici",      -- drive to nearest road 
    ["FERRY"] = "použijte trajekt"
}

maneuver_turns_car = {
    ["NO_TURN"] = "pokračujte rovně",
    ["KEEP_MIDDLE"] = "prejeďte do středního pruhu",
    ["KEEP_RIGHT"] = "se držte vpravo",
    ["LIGHT_RIGHT"] = "odbočte mírně doprava",
    ["QUITE_RIGHT"] = "odbočte doprava",
    ["HEAVY_RIGHT"] = "odbočte ostře doprava",
    ["RETURN"] = "se otočte",
    ["HEAVY_LEFT"] = "odbočte ostře doleva",
    ["QUITE_LEFT"] = "odbočte doleva",
    ["LIGHT_LEFT"] = "odbočte mírně doleva",
    ["KEEP_LEFT"] = "se držte vlevo",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "pokračujte rovně",
    ["KEEP_MIDDLE"] = "prejeďte do středního pruhu",
    ["KEEP_RIGHT"] = "jděte do ulice vpravo",
    ["LIGHT_RIGHT"] = "odbočte mírně doprava",
    ["QUITE_RIGHT"] = "odbočte doprava",
    ["HEAVY_RIGHT"] = "odbočte ostře doprava",
    ["RETURN"] = "se otočte",
    ["HEAVY_LEFT"] = "odbočte ostře doleva",
    ["QUITE_LEFT"] = "odbočte doleva",
    ["LIGHT_LEFT"] = "odbočte mírně doleva",
    ["KEEP_LEFT"] = "jděte do ulice vlevo",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "projděte budovou",
    ["SQUARE"] = "prejděte náměstí",
    ["PARK"] = "projděte parkem",
    ["STAIRS"] = "pokračujte po schodech ",
    ["ELEVATOR"] = "jeďte výtahem",
    ["ESCALATOR"] = "pokračujte po schodech"
}

final_command = {
    ["END"] = "Přijeli jste do cíle",                       -- You have reached your destination
    ["STOPOVER"] = "Přijeli jste k zastávce"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"sjeďte na prvním výjezdu", "odbočte do první ulice"},                        -- take the first exit
    [2] = {"sjeďte na druhém výjezdu", "odbočte do druhé ulice"},                        -- take the second exit
    [3] = {"sjeďte na tretím výjezdu", "odbočte do tretí ulice"},                        -- take the third exit
    [4] = {"sjeďte na čtvrtém výjezdu", "odbočte do ctvrté ulice"},                      -- take the fourth exit
    [5] = {"sjeďte na pátém výjezdu", "odbočte do páté ulice"},                          -- take the fifth exit
    [6] = {"sjeďte na šestém výjezdu", "odbočte do šesté ulice"},                        -- take the sixth exit
    [7] = {"sjeďte na sedmém výjezdu", "sjeďte na sedmém výjezdu"},                      -- take the seventh exit
    [8] = {"sjeďte na osmém výjezdu", "sjeďte na osmém výjezdu"},                        -- take the eighth exit
    [9] = {"sjeďte na devátém výjezdu", "sjeďte na devátém výjezdu"},                    -- take the ninth exit
    [10] = {"sjeďte na desátém výjezdu", "sjeďte na desátém výjezdu"},                   -- take the tenth exit
    [11] = {"sjeďte na jedenáctém výjezdu", "sjeďte na jedenáctém výjezdu"},             -- take the eleventh exit
    [12] = {"sjeďte na dvanáctém výjezdu", "sjeďte na dvanáctém výjezdu"}                -- take the twelfth exit
}

-- units used when structure (after ...)
unit = {                        
    ["MILE"] = "míli",
    ["YARDS"] = "yardech",
    ["FEET"] = "nohy",
    ["KILOMETER"] = "kilometru",
    ["METERS"] = "metrech",
    ["METER"] = "metrech",
    ["KILOMETERS"] = "kilometrech",
    ["MILES"] = "mílích",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

-- units used when structure (follow for ...)
unit_follow = {                                    -- Intonation down, intonation up
    ["MILE"] =  nil,
    ["YARDS"] = nil,
    ["KILOMETER"] = nil,
    ["METERS"] = nil,
    ["METER"] = nil,
    ["KILOMETERS"] = "kilometrů",
    ["MILES"] = "mil",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "severním směrem",
    ["NORTH_EAST"] = "severovýchodním směrem",
    ["EAST"] = "východním směrem",
    ["SOUTH_EAST"] = "jihovýchodním směrem",
    ["SOUTH"] = "jižním směrem",
    ["SOUTH_WEST"] = "jihozápadním směrem",
    ["WEST"] = "západním směrem",
    ["NORTH_WEST"] = "severozápadním směrem"
}

misc = { 
    ["gps_signal_lost_wav"] = "Není k dispozici signál GPS",
    ["gps_signal_restored_wav"] = "Spojení GPS bylo obnoveno",
 --   ["no_gps_signal_wav"] = "Žádný signál GPS",
    ["route_recalculation_wav"] = "Přepočítávání trasy",
    ["now_wav"] = "Nyní",
    ["end_of_street_wav"] = "Na konci silnice",
    ["follow_motorway_wav"] = "pokračujte po dálnici",
    ["follow_road_wav"] = "pokračujte po této silnici",
    ["for_wav"] = nil,
    ["after_wav"] = "Po",
    ["after_the_junction_wav"] = "Za křižovatkou",
    ["one_km_wav"] = "jednom",
    ["one_mile_wav"] = "jedné",
    ["kilometry_wav"] = "kilometry",
    ["kilometrow_wav"] = "kilometrů",
    ["mile_wav"] = "míle",
    ["mil_wav"] = "mil",
    ["half_a_mile_wav"] = "pul míli",
    ["quarter_a_mile_wav"] = "ctvrt míli",
    ["three_quarter_of_mile_wav"] = "tři čtvrtě míli",
    ["immediately_wav"] = "hned",
    ["safety_camara_ahead_wav"] = "Před vámi je bezpečnostní kamera",
    --["over_speed_limit_wav"] = "Dodržujte povolenou rychlost",
    ["traffic_automatic_detour_wav"] = "Na trase je zácpa, objíždíme",
    ["traffic_manual_detour_wav"] = "Na trase je zácpa, chcete ji objet?",
    ["no_detour_possible"] = "Objíždka není možná",
    ["and_wav"] = "a",
    ["and_then_wav"] = "a poté",
    ["and_continue_on_wav"] = "a pokračujte na",
    ["towards_wav"] = "směrem na",
    ["turn_wav"] = "odbočte",
    ["onto_wav"] = "na",
    ["exit_wav"] = "sjeďte na výjezdu",
    ["second_right_wav"] = "odbočte druhou doprava",
    ["second_left_wav"] = "odbočte druhou doleva",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "jděte kolem kruhového objezdu vlevo",
    ["walk_right_roundabout_wav"] = "jděte kolem kruhového objezdu vpravo",
    ["walk_roundabout_wav"] = "Obejděte kruhový objezd",
    ["head_wav"] = "Jděte",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "na",
    ["the_footpath_wav"] = "chodník"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "speed_limit_soft.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


